Skip to main content
PUT
/
api
/
public
/
instagram
/
automations
/
{id}
Update a comment automation
curl --request PUT \
  --url https://api.vambe.me/api/public/instagram/automations/{id} \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <x-api-key>' \
  --data '
{
  "name": "<string>",
  "conditionPrompt": "<string>",
  "keywords": [
    "<string>"
  ],
  "stageId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "dmInstruction": "<string>",
  "dmButtons": [
    "<string>"
  ],
  "commentInstruction": "<string>",
  "promptContext": "<string>",
  "isFuture": true
}
'
const options = {
method: 'PUT',
headers: {'x-api-key': '<x-api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
conditionPrompt: '<string>',
keywords: ['<string>'],
stageId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
dmInstruction: '<string>',
dmButtons: ['<string>'],
commentInstruction: '<string>',
promptContext: '<string>',
isFuture: true
})
};

fetch('https://api.vambe.me/api/public/instagram/automations/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
import requests

url = "https://api.vambe.me/api/public/instagram/automations/{id}"

payload = {
"name": "<string>",
"conditionPrompt": "<string>",
"keywords": ["<string>"],
"stageId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dmInstruction": "<string>",
"dmButtons": ["<string>"],
"commentInstruction": "<string>",
"promptContext": "<string>",
"isFuture": True
}
headers = {
"x-api-key": "<x-api-key>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)

Headers

x-api-key
string
required

API key required to authorize the request

Path Parameters

id
string
required

Comment automation id

Body

application/json
name
string | null
conditionPrompt
string | null
activationType
enum<string>
Available options:
ai_condition,
keywords
keywords
string[] | null
stageId
string<uuid> | null
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
dmInstruction
string | null
dmButtons
string[] | null
Maximum array length: 3
Required string length: 1 - 20
commentInstruction
string | null
promptContext
string | null
isFuture
boolean
type
enum<string>
Available options:
private,
comment,
delete,
multiple
mode
enum<string>
Available options:
intelligent,
lite

Response

Automation updated.